"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const excel_file_1 = __importDefault(require("./excel-file"));
function ExcelDownloadButton({ fileName, data, options, style, element, }) {
    const handleClick = () => {
        const excelFile = new excel_file_1.default(fileName, data, options);
        excelFile.download(options === null || options === void 0 ? void 0 : options.extension);
    };
    const renderDefaultButton = (extension = 'xlsx') => {
        const label = {
            xlsx: 'Excel',
            csv: 'CSV',
        }[extension];
        return react_1.default.createElement("button", { style: style },
            label,
            " Download");
    };
    return (react_1.default.createElement("span", { onClick: handleClick }, element || renderDefaultButton(options === null || options === void 0 ? void 0 : options.extension)));
}
exports.default = ExcelDownloadButton;
