"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDateTimeStrings = exports.formatDate = exports.isDate = void 0;
const isDate = (date) => {
    return Object.prototype.toString.call(date) === '[object Date]';
};
exports.isDate = isDate;
const addZeroToNumber = (number) => {
    return number < 10 ? `0${number}` : `${number}`;
};
const formatDate = (date) => {
    const { year, month, day } = exports.getDateTimeStrings(date);
    return `${year}-${month}-${day}`;
};
exports.formatDate = formatDate;
const getDateTimeStrings = (date) => {
    return {
        year: date.getFullYear().toString(),
        month: addZeroToNumber(date.getMonth() + 1),
        day: addZeroToNumber(date.getDate()),
        hours: addZeroToNumber(date.getHours()),
        minutes: addZeroToNumber(date.getMinutes()),
        seconds: addZeroToNumber(date.getSeconds()),
    };
};
exports.getDateTimeStrings = getDateTimeStrings;
